unit config;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,inifiles;

type
  Tconfig = record
    systray  : boolean;
    myname   : string;
    broadcast: string;
  end;
  TForm2 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    Label2: TLabel;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure ShowMe;
    procedure readconfig;
    procedure writeconfig;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  config1:Tconfig;
implementation

{$R *.DFM}
procedure Tform2.ShowMe;
begin
readconfig;
checkbox1.checked:=config1.systray;
edit2.text:=config1.myname;
edit1.text:=config1.broadcast;
show;
end;
procedure Tform2.readconfig;
var F:Tinifile;
begin
F:=Tinifile.Create('UDPnet.ini');
config1.myname:=F.ReadString('main','pcname','setup');
config1.systray:=F.ReadBool('main','systray',true);
config1.broadcast:=F.ReadString('main','broadcast','192.168.0.255');
F.free;
end;
procedure Tform2.writeconfig;
var F:Tinifile;
begin
F:=Tinifile.Create('UDPnet.ini');
F.WriteString('main','pcname',config1.myname);
F.WriteBool('main','systray',config1.systray);
F.WriteString('main','broadcast',config1.broadcast);
F.free;
end;
procedure TForm2.Button2Click(Sender: TObject);
begin
close;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
config1.systray:=checkbox1.checked;
config1.myname:=edit2.text;
config1.broadcast:=edit1.text;
writeconfig;
close;
end;

end.
